package com.ruoyi.web.controller.system.property;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.TdPropertyEment;
import com.ruoyi.web.controller.manager.TdPropertyEmentManager;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 涉密设备销毁Controller
 */
@Controller
@RequestMapping("/system/ementDestory")
public class TdPropertyEmentDestoryController extends BaseController {
    private String prefix = "system/property/ementDestory";

    @Autowired
    private TdPropertyEmentManager tdPropertyEmentManager;

    @RequiresPermissions("system:ementDestory:view")
    @GetMapping()
    public String ementDestory() {
        return prefix + "/ementList";
    }

    /**
     * 涉密设备销毁列表
     */
    @RequiresPermissions("system:ementDestory:list")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(TdPropertyEment tdPropertyEment) {
        startPage();
        List<TdPropertyEment> tdPropertyEments = tdPropertyEmentManager.selectEmentList(tdPropertyEment);
        return getDataTable(tdPropertyEments);
    }

    /**
     * 涉密设备销毁列变更
     */
    @RequiresPermissions("system:ementDestory:destroy")
    @GetMapping("/destory/{id}")
    public String ementDestory(@PathVariable("id") String id, ModelMap mmap) {
        TdPropertyEment tdPropertyEment = tdPropertyEmentManager.selecttdEment(id);
        mmap.put("tdPropertyEment", tdPropertyEment);
        return prefix + "/ementDestory";
    }

    /**
     * 保存维修修改
     */
    @RequiresPermissions("system:ementDestory:destroy")
    @Log(title = "涉密设备销毁", businessType = BusinessType.UPDATE)
    @PostMapping("/update")
    @ResponseBody
    public AjaxResult update(TdPropertyEment tdPropertyEment) {
        return toAjax(tdPropertyEmentManager.saveOrUpdate(tdPropertyEment));
    }
}
