package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TdPropertyManager;

/**
 * 密品登记Service接口
 * 
 * @author ruoyi
 * @date 2024-04-26
 */
public interface ITdPropertyManagerService 
{
    /**
     * 查询密品登记
     * 
     * @param useId 密品登记主键
     * @return 密品登记
     */
    public TdPropertyManager selectTdPropertyManagerByUseId(String useId);

    /**
     * 查询密品登记列表
     * 
     * @param tdPropertyManager 密品登记
     * @return 密品登记集合
     */
    public List<TdPropertyManager> selectTdPropertyManagerList(TdPropertyManager tdPropertyManager);

    /**
     * 新增密品登记
     * 
     * @param tdPropertyManager 密品登记
     * @return 结果
     */
    public int insertTdPropertyManager(TdPropertyManager tdPropertyManager);

    /**
     * 修改密品登记
     * 
     * @param tdPropertyManager 密品登记
     * @return 结果
     */
    public int updateTdPropertyManager(TdPropertyManager tdPropertyManager);

    /**
     * 批量删除密品登记
     * 
     * @param useIds 需要删除的密品登记主键集合
     * @return 结果
     */
    public int deleteTdPropertyManagerByUseIds(String useIds);

    /**
     * 删除密品登记信息
     * 
     * @param useId 密品登记主键
     * @return 结果
     */
    public int deleteTdPropertyManagerByUseId(String useId);
}
